Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.examples.heatbugs
Class Heatbugs

    java.lang.Object
      org.ascape.model.AscapeObject
          org.ascape.model.Agent
              org.ascape.model.LocatedAgent
                  org.ascape.model.Cell
                      org.ascape.model.CellOccupant
                          org.ascape.model.Scape
                              org.eclipse.amp.examples.heatbugs.Heatbugs

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable, java.util.Collection, java.util.EventListener, ControlListener, ScapeListener, Location, Node, SpaceContext, HasName, RandomFunctions, IGraphicsAdapted

Direct Known Subclasses:
  Heatbugs3D

    public class Heatbugs

extends Scape
implements IGraphicsAdapted

Heatbugs Java Implementation. Generated by AMF for model: Heatbugs.metaabm in project: org.eclipse.amp.amf.examples.escape

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.ascape.model.Scape
`Scape.ConditionalIterator, Scape.DrawFeatureObservable`

Field Summary

Fields inherited from class org.ascape.model.Scape
`AGENT_ORDER, agentsPerIteration, ALL_AGENTS, CLEAR_STATS_RULE, COLLECT_STATS_RULE, COMPARE_ORDERED_QUALIFIERS, COMPLETE_TOUR, copyrightAndCredits, CREATE_GRAPHIC_VIEW_RULE, CREATE_RULE, CREATE_SCAPE_RULE, CREATE_VIEW_RULE, EXECUTE_RULES_RULE, INITIAL_RULES_RULE, initialRules, prototypeAgent, REPEATED_DRAW, RULE_ORDER, version`

Fields inherited from class org.ascape.model.CellOccupant
`PLAY_HOST_RULE, RANDOM_WALK_AVAILABLE_RULE`

Fields inherited from class org.ascape.model.Cell
`CALCULATE_NEIGHBORS_RULE, neighbors, PLAY_NEIGHBORS_RULE, PLAY_RANDOM_NEIGHBOR_RULE`

Fields inherited from class org.ascape.model.LocatedAgent
`agentSize, coordinate, MOVE_RANDOM_LOCATION_RULE, RANDOM_WALK_RULE, thisUpdate`

Fields inherited from class org.ascape.model.Agent
`DEATH_RULE, FISSIONING_RULE, FORCE_DIE_RULE, FORCE_FISSION_RULE, FORCE_MOVE_RULE, INITIALIZE_RULE, ITERATE_AND_UPDATE_RULE, ITERATE_RULE, METABOLISM_RULE, MOVEMENT_RULE, PLAY_OTHER, UPDATE_RULE`

Fields inherited from class org.ascape.model.AscapeObject
`ARBITRARY_SEED, name, PLATFORM_DEFAULT_COLOR, scape`

Constructor Summary
`Heatbugs()` Constructs a new Heatbugs.

Method Summary
`void` | `calculateTimeStep(int timeStep)`
`java.lang.Object` | `clone()` Clones the agent, ensuring that a unique id is assigned.
`protected void` | `create2DViews()`
`protected void` | `createChartViews()`
`void` | `createGraphicViews()` Creates UI views for Heatbugs.
`protected void` | `createGraphViews()`
`protected HeatBug` | `createHeatBugPrototype()` Create an instance of Heat Bug that will be used to populate the heatBugScape.
`void` | `createScape()` Creates the members of Heatbugs.
`java.util.List<IAgentChild>` | `getChildren()`
`double` | `getDiffusionRate()` Gets the Diffusion Rate property for Heatbugs.
`double` | `getEvaporationRate()` Gets the Evaporation Rate property for Heatbugs.
`IGraphicsAdapter` | `getGraphicsAdapter()`
`int` | `getHeatBugCount()` Gets the Heat Bug Count property for Heatbugs.
`Scape` | `getHeatBugScape()` Returns the Scape containing Heat Bugs.
`Scape` | `getHeatGrid()` Gets the Heat Grid property for Heatbugs.
`int` | `getHeatGridHeight()` Gets the Height property for Heat Grid.
`int` | `getHeatGridWidth()` Gets the Width property for Heat Grid.
`double` | `getIdealTemperatureDrawMaximum()` Gets the Ideal Temperature Draw Maximum property for Heatbugs.
`double` | `getIdealTemperatureDrawMinimum()` Gets the Ideal Temperature Draw Minimum property for Heatbugs.
`int` | `getMaximumHeat()` Gets the Maximum Heat property for Heatbugs.
`java.lang.String` | `getName()`
`double` | `getOutputHeatDrawMaximum()` Gets the Output Heat Draw Maximum property for Heatbugs.
`double` | `getOutputHeatDrawMinimum()` Gets the Output Heat Draw Minimum property for Heatbugs.
`long` | `getUID()`
`static void` | `main(java.lang.String[] args)`
`void` | `scapeSetup(ScapeEvent scapeEvent)`
`void` | `setDiffusionRate(double _diffusionRate)` Sets the Diffusion Rate property for Heatbugs.
`void` | `setEvaporationRate(double _evaporationRate)` Sets the Evaporation Rate property for Heatbugs.
`void` | `setHeatBugCount(int _heatBugCount)` Sets the Heat Bug Count property for Heatbugs.
`void` | `setHeatGrid(Scape _heatGrid)` Sets the Heat Grid property for Heatbugs.
`void` | `setHeatGridHeight(int _heatGridHeight)` Sets the Height property for Heat Grid.
`void` | `setHeatGridWidth(int _heatGridWidth)` Sets the Width property for Heat Grid.
`void` | `setIdealTemperatureDrawMaximum(double _idealTemperatureDrawMaximum)` Sets the Ideal Temperature Draw Maximum property for Heatbugs.
`void` | `setIdealTemperatureDrawMinimum(double _idealTemperatureDrawMinimum)` Sets the Ideal Temperature Draw Minimum property for Heatbugs.
`void` | `setMaximumHeat(int _maximumHeat)` Sets the Maximum Heat property for Heatbugs.
`void` | `setOutputHeatDrawMaximum(double _outputHeatDrawMaximum)` Sets the Output Heat Draw Maximum property for Heatbugs.
`void` | `setOutputHeatDrawMinimum(double _outputHeatDrawMinimum)` Sets the Output Heat Draw Minimum property for Heatbugs.
`void` | `startSimulationAgentChild(int timeStep)`

Methods inherited from class org.ascape.model.Scape
`add, add, add, add, addAll, addDrawFeature, addInitialRule, addInitialRule, addRule, addRule, addScapeListener, addScapeListenerFirst, addStatCollector, addStatCollectorIfNew, addStatCollectors, addView, addView, addView, addViews, addViews, addViews, assignParameters, assignParameters, calculateDistance, calculateDistance, clear, construct, contains, containsAll, contentsToString, countWithin, createNonGraphicViews, createSelfView, createViews, createViews, environmentQuiting, execute, execute, executeOnMembers, executeOnMembers, executeOnMembers, executeOnMembers, executeOnRoot, executeOnRoot, find, findMaximum, findMaximum, findMaximumWithin, findMinimum, findMinimum, findMinimumWithin, findNearest, findRandom, findRandom, findRandom, findRandomCoordinate, findWithin, get, get, getAgentsPerIteration, getAllScapes, getCollectStats, getData, getDescription, getDrawFeatures, getDrawFeaturesObservable, getEnvironment, getExecutionOrder, getExecutionStyle, getExtent, getHome, getHTMLDescription, getInitialRules, getIteration, getIterationsPerRedraw, getModel, getPausePeriod, getPeriod, getPeriodDescription, getPeriodName, getPrototype, getPrototypeAgent, getRoot, getRules, getRunner, getScapeListeners, getSize, getSpace, getStartPeriod, getStatCollectors, getStopPeriod, getSuperScape, getThreadCount, getUIEnvironment, getUserEnvironment, hasWithin, initialize, isAllViewsUpdated, isAutoCreate, isCellsRequestUpdates, isEmpty, isGraphic, isHome, isLifeOfScape, isListenersAndMembersCurrent, isMembersActive, isMutable, isPaused, isPeriodic, isPopulateOnCreate, isRoot, isRunning, isScapeListener, isSerializable, isStartOnOpen, isUpdateNeeded, isValidPeriod, isViewSelf, iterator, listenerOrMemberUpdated, listenerUpdated, memberUpdated, moveAway, moveToward, newAgent, newAgent, notifyViews, notifyViews, populate, remove, remove, removeAll, removeDrawFeature, removeScapeListener, respondControl, respondDrawFeature, retainAll, retrieveAllAccessors, retrieveAllAccessorsOrdered, retrieveModelAccessorsOrdered, save, save, scapeAdded, scapeClosing, scapeDeserialized, scapeInitialized, scapeIterated, scapeIterator, scapeIterator, scapeIterators, scapeNotification, scapeRandomIterator, scapeRemoved, scapeStarted, scapeStopped, search, searchMax, searchMin, set, set, set, set, setAgentsPerIteration, setAutoCreate, setAutoRestart, setCellsRequestUpdates, setCollectStats, setCollectStats, setDescription, setEarliestPeriod, setExecutionOrder, setExecutionStyle, setExtent, setExtent, setExtent, setHome, setHTMLDescription, setInitialRules, setIterationsPerRedraw, setIterationsPerRedraw, setLatestPeriod, setMembersActive, setPaused, setPausePeriod, setPeriodic, setPeriodName, setPopulateOnCreate, setPrototypeAgent, setRunner, setRunning, setSerializable, setSize, setSpace, setStartOnOpen, setStartPeriod, setStopPeriod, setSuperScape, setThreadCount, setViewSelf, size, toArray, toArray, toString, withinIterator`

Methods inherited from class org.ascape.model.CellOccupant
`die, findAvailableNeighbors, findNearest, findNearest, findNearest, findNearest, findNearest, findNeighbors, findNeighborsOnHost, findRandomAvailableNeighbor, findRandomNeighbor, findRandomNeighborOnHost, findWithin, findWithin, findWithin, getCoordinate, getHostCell, getHostScape, leave, moveAway, moveTo, moveToRandomLocation, moveToward, playNeighbors, playRandomNeighbor, randomWalk, randomWalkAvailable, setHostCell, setHostScape`

Methods inherited from class org.ascape.model.Cell
`calculateNeighbors, countNeighbors, findOccupants, findRelative, getDistance, getNeighbors, getNeighbors, getNetwork, getOccupant, hostedCondition, isAvailable, removeOccupant, setNeighbors, setNeighborsList, setNetwork, setOccupant`

Methods inherited from class org.ascape.model.LocatedAgent
`calculateDistance, calculateDistance, countWithin, countWithin, countWithin, findMaximumWithin, findWithin, getAgentSize, hasWithin, hasWithin, hasWithin, isUpdateNeeded, moveAway, moveAway, moveTo, moveToward, moveToward, requestUpdate, requestUpdateNext, setAgentSize, setCoordinate`

Methods inherited from class org.ascape.model.Agent
`clearDeleteMarker, death, deathCondition, execute, execute, fission, fissionCondition, fissioning, getColor, getColor, getImage, getImage, getPlatformColor, isDelete, isInitialized, iterate, markForDeletion, metabolism, move, movement, movementCondition, play, scapeCreated, setInitialized, setScape, update`

Methods inherited from class org.ascape.model.AscapeObject
`diffDeep, diffDeep, diffDeepBFS, diffDeepDFS, diffDeepValidate, diffDeepVisit, equalsDeep, equalsDeep, equalsDeep, getComparisonStream, getRandom, getRandomSeed, getScape, randomInRange, randomInRange, randomIs, randomToLimit, reseed, setComparisonStream, setName, setRandom, setRandomSeed`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Collection
`equals, hashCode`

Methods inherited from interface org.ascape.model.event.ScapeListener
`getScape`

Methods inherited from interface org.ascape.model.space.Location
`clearDeleteMarker, isDelete, markForDeletion, setCoordinate`

Constructor Detail

### Heatbugs

    public Heatbugs()

  Constructs a new Heatbugs.

Method Detail

### getChildren

    public java.util.List<IAgentChild> getChildren()

### getUID

    public long getUID()

### clone

    public java.lang.Object clone()

  Clones the agent, ensuring that a unique id is assigned.

  Specified by:
    `clone` in interface `ScapeListener`
  Specified by:
    `clone` in interface `Location`
  Overrides:
    `clone` in class `Scape`
  Returns:
    the object

### createHeatBugPrototype

    protected HeatBug createHeatBugPrototype()

  Create an instance of Heat Bug that will be used to populate the heatBugScape. Overide to customize the prototype, for example to change the views created for a member scape.

### createScape

    public void createScape()

  Creates the members of Heatbugs.

  Overrides:
    `createScape` in class `Scape`
  See Also:
    `Scape.setPopulateOnCreate(boolean)`

### createGraphicViews

    public void createGraphicViews()

  Creates UI views for Heatbugs.

  Overrides:
    `createGraphicViews` in class `Scape`

### scapeSetup

    public void scapeSetup(ScapeEvent scapeEvent)

  Specified by:
    `scapeSetup` in interface `ScapeListener`
  Overrides:
    `scapeSetup` in class `Scape`
  Parameters:
    `scapeEvent` - the associated scape event

### getHeatBugScape

    public Scape getHeatBugScape()

  Returns the Scape containing Heat Bugs.

### createChartViews

    protected void createChartViews()

### create2DViews

    protected void create2DViews()

### createGraphViews

    protected void createGraphViews()

### getGraphicsAdapter

    public IGraphicsAdapter getGraphicsAdapter()

  Specified by:
    `getGraphicsAdapter` in interface `IGraphicsAdapted`

### main

    public static void main(java.lang.String[] args)

### startSimulationAgentChild

    public void startSimulationAgentChild(int timeStep)

### calculateTimeStep

    public void calculateTimeStep(int timeStep)

### getHeatBugCount

    public int getHeatBugCount()

  Gets the Heat Bug Count property for Heatbugs.

  Returns:
    The number of heat bugs to create.

### setHeatBugCount

    public void setHeatBugCount(int _heatBugCount)

  Sets the Heat Bug Count property for Heatbugs. The number of heat bugs to create.

  Parameters:
    `_heatBugCount` - the new Heat Bug Count value

### getDiffusionRate

    public double getDiffusionRate()

  Gets the Diffusion Rate property for Heatbugs.

  Returns:

### setDiffusionRate

    public void setDiffusionRate(double _diffusionRate)

  Sets the Diffusion Rate property for Heatbugs.

  Parameters:
    `_diffusionRate` - the new Diffusion Rate value

### getEvaporationRate

    public double getEvaporationRate()

  Gets the Evaporation Rate property for Heatbugs.

  Returns:

### setEvaporationRate

    public void setEvaporationRate(double _evaporationRate)

  Sets the Evaporation Rate property for Heatbugs.

  Parameters:
    `_evaporationRate` - the new Evaporation Rate value

### getIdealTemperatureDrawMinimum

    public double getIdealTemperatureDrawMinimum()

  Gets the Ideal Temperature Draw Minimum property for Heatbugs.

  Returns:

### setIdealTemperatureDrawMinimum

    public void setIdealTemperatureDrawMinimum(double _idealTemperatureDrawMinimum)

  Sets the Ideal Temperature Draw Minimum property for Heatbugs.

  Parameters:
    `_idealTemperatureDrawMinimum` - the new Ideal Temperature Draw Minimum value

### getIdealTemperatureDrawMaximum

    public double getIdealTemperatureDrawMaximum()

  Gets the Ideal Temperature Draw Maximum property for Heatbugs.

  Returns:

### setIdealTemperatureDrawMaximum

    public void setIdealTemperatureDrawMaximum(double _idealTemperatureDrawMaximum)

  Sets the Ideal Temperature Draw Maximum property for Heatbugs.

  Parameters:
    `_idealTemperatureDrawMaximum` - the new Ideal Temperature Draw Maximum value

### getOutputHeatDrawMinimum

    public double getOutputHeatDrawMinimum()

  Gets the Output Heat Draw Minimum property for Heatbugs.

  Returns:

### setOutputHeatDrawMinimum

    public void setOutputHeatDrawMinimum(double _outputHeatDrawMinimum)

  Sets the Output Heat Draw Minimum property for Heatbugs.

  Parameters:
    `_outputHeatDrawMinimum` - the new Output Heat Draw Minimum value

### getOutputHeatDrawMaximum

    public double getOutputHeatDrawMaximum()

  Gets the Output Heat Draw Maximum property for Heatbugs.

  Returns:

### setOutputHeatDrawMaximum

    public void setOutputHeatDrawMaximum(double _outputHeatDrawMaximum)

  Sets the Output Heat Draw Maximum property for Heatbugs.

  Parameters:
    `_outputHeatDrawMaximum` - the new Output Heat Draw Maximum value

### getMaximumHeat

    public int getMaximumHeat()

  Gets the Maximum Heat property for Heatbugs.

  Returns:

### setMaximumHeat

    public void setMaximumHeat(int _maximumHeat)

  Sets the Maximum Heat property for Heatbugs.

  Parameters:
    `_maximumHeat` - the new Maximum Heat value

### getHeatGridWidth

    public int getHeatGridWidth()

  Gets the Width property for Heat Grid.

  Returns:
    The horizontal extent of the space.

### setHeatGridWidth

    public void setHeatGridWidth(int _heatGridWidth)

  Sets the Width property for Heat Grid. The horizontal extent of the space.

  Parameters:
    `_heatGridWidth` - the new Width value

### getHeatGridHeight

    public int getHeatGridHeight()

  Gets the Height property for Heat Grid.

  Returns:
    The vertical extent of the space.

### setHeatGridHeight

    public void setHeatGridHeight(int _heatGridHeight)

  Sets the Height property for Heat Grid. The vertical extent of the space.

  Parameters:
    `_heatGridHeight` - the new Height value

### getHeatGrid

    public Scape getHeatGrid()

  Gets the Heat Grid property for Heatbugs.

  Returns:

### setHeatGrid

    public void setHeatGrid(Scape _heatGrid)

  Sets the Heat Grid property for Heatbugs.

  Parameters:
    `_heatGrid` - the new Heat Grid value

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `SpaceContext`
  Specified by:
    `getName` in interface `HasName`
  Overrides:
    `getName` in class `Scape`
  Returns:
    the name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD